Update Notification Settings
curl --request PUT \
--url https://www.catchthegoodones.com/api/v2/notification-settingsimport requests
url = "https://www.catchthegoodones.com/api/v2/notification-settings"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://www.catchthegoodones.com/api/v2/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summaryFrequency": "after_every_sync",
"emailSummariesEnabled": true,
"telegramSummariesEnabled": false
}
{
"error": "At least one setting must be provided"
}
Notifications
Update Notification Settings
Update one or more notification preferences
PUT
/
api
/
v2
/
notification-settings
Update Notification Settings
Updates one or more notification preferences. At least one field must be provided.
At least one field must be provided.
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer ctgo_your_api_key_here |
Content-Type | Yes | application/json |
Body
| Field | Type | Required | Description |
|---|---|---|---|
summaryFrequency | string | No | "after_every_sync", "daily", "weekly", or "off" |
emailSummariesEnabled | boolean | No | Enable or disable email summaries |
telegramSummariesEnabled | boolean | No | Enable or disable Telegram summaries |
Example
curl -X PUT https://www.catchthegoodones.com/api/v2/notification-settings \
-H "Authorization: Bearer ctgo_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"summaryFrequency": "after_every_sync", "emailSummariesEnabled": true}'
Response
{
"summaryFrequency": "after_every_sync",
"emailSummariesEnabled": true,
"telegramSummariesEnabled": false
}
{
"error": "At least one setting must be provided"
}
⌘I